For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Provider Keys
      • PUTPut Provider Key
      • DELDelete Provider Key
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceprovider-keys

List Provider Keys

GET
/api/v1/provider-keys
GET
/api/v1/provider-keys
$curl https://api.onepin.ai/api/v1/provider-keys \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "providers": [
4 {
5 "provider": "elevenlabs",
6 "credentials_schema": {
7 "api_key": {
8 "type": "string",
9 "description": "API key for ElevenLabs authentication"
10 },
11 "region": {
12 "type": "string",
13 "description": "Region code for service endpoint"
14 }
15 },
16 "configured": true,
17 "is_valid": true,
18 "validated_at": "2024-01-15T09:30:00Z",
19 "key_preview": "ABCD-****-WXYZ",
20 "status": "valid"
21 }
22 ]
23 },
24 "meta": {
25 "request_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
26 "timestamp": "2024-01-15T09:30:00Z"
27 }
28}

List BYOK provider-key schemas and status for the current workspace.

Was this page helpful?
Previous

Put Provider Key

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Headers

X-Workspace-Idstring or nullOptional

Response

Successful Response
dataobject
metaobject

Errors

422
Unprocessable Entity Error